#include <Arduino.h>
#include <IRremoteESP8266.h>
#include <IRrecv.h>
#include <IRutils.h>

#define IR_PIN  35  //P3=IO35

#define A 0xFFA25D
#define B 0xFF629D
#define C 0xFFE21D
#define D 0xFF22DD
#define E 0xFFC23D
#define F 0xFFB04F
#define UP 0xFF02FD
#define DOWN 0xFF9867
#define LEFT 0xFFE01F
#define RIGHT 0xFF906F
#define STOP 0xFFA857
#define NUM0 0xFF6897
#define NUM1 0xFF30CF
#define NUM2 0xFF18E7
#define NUM3 0xFF7A85
#define NUM4 0xFF10EF
#define NUM5 0xFF38C7
#define NUM6 0xFF5AA5
#define NUM7 0xFF42BD
#define NUM8 0xFF4AB5
#define NUM9 0xFF52AD





IRrecv irrecv(IR_PIN);

decode_results results;

void setup() {
  Serial.begin(115200);
  irrecv.enableIRIn();  // Start the receiver
  while (!Serial)  // Wait for the serial connection to be establised.
    delay(50);

}

void loop() {
  if (irrecv.decode(&results)) {
    
    //serialPrintUint64(results.value, HEX);
    //Serial.println("");

    switch(results.value){
      case A:
        Serial.println("A");
      break;
      case B:
        Serial.println("B");
      break;
      case C:
        Serial.println("C");
      break;
      case D:
        Serial.println("D");
      break;
      case E:
        Serial.println("E");
      break;
      case F:
        Serial.println("F");
      break;
      case UP:
        Serial.println("UP");
      break;
      case DOWN:
        Serial.println("DOWN");
      break;
      case LEFT:
        Serial.println("LEFT");
      break;
      case RIGHT:
        Serial.println("RIGHT");
      break;
      case STOP:
        Serial.println("STOP");
      break;
      case NUM0:
        Serial.println("0");
      break;
      case NUM1:
        Serial.println("1");
      break;
      case NUM2:
        Serial.println("2");
      break;
      case NUM3:
        Serial.println("3");
      break;
      case NUM4:
        Serial.println("4");
      break;
      case NUM5:
        Serial.println("5");
      break;
      case NUM6:
        Serial.println("6");
      break;
      case NUM7:
        Serial.println("7");
      break;
      case NUM8:
        Serial.println("8");
      break;
      case NUM9:
        Serial.println("9");
      break;
      
    }
    
    irrecv.resume();  // Receive the next value
  }
  delay(100);
}
