
#include <Arduino.h>
//#include <Tone32.h>


#define ButtonA_Pin 14 //P5=IO14
#define ButtonB_Pin 25 //P11=IO25



// variables will change:
int buttonA_State = 0;         // variable for reading the pushbutton status
int buttonB_State = 0;         // variable for reading the pushbutton status

void setup() {

  // initialize the pushbutton pin as an input:
  pinMode(ButtonA_Pin, INPUT);
  pinMode(ButtonB_Pin, INPUT);
  
  Serial.begin (115200);
}

void loop() {
  // read the state of the pushbutton value:
  buttonA_State = digitalRead(ButtonA_Pin);
  buttonB_State = digitalRead(ButtonB_Pin);

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonA_State == LOW) {
   
    Serial.println("ButtonA");
  } else if (buttonB_State == LOW) {
    
    Serial.println("ButtonB");
    
  } 
}
